Skip to main content
`Ctrl`+`K`

# `skopt.utils`.load

skopt.utils.load(filename, **kwargs)

  Reconstruct a skopt optimization result from a file persisted with skopt.dump.

  Note

  Notice that the loaded optimization result can be missing the objective function (`.specs['args']['func']`) if `skopt.dump` was called with `store_objective=False`.

  Parameters:
    filename string or `pathlib.Path`

      The path of the file from which to load the optimization result.

    **kwargs other keyword arguments

      All other keyword arguments will be passed to `joblib.load`.

  Returns:
    res `OptimizeResult`, scipy object

      Reconstructed OptimizeResult instance.